org.modeshape.jcr

## Class Connectors.AbstractPathMappings

- java.lang.Object
- - org.modeshape.jcr.Connectors.AbstractPathMappings

- All Implemented Interfaces:
    Connectors.PathMappings
  Direct Known Subclasses:
    Connectors.BasicPathMappings, Connectors.EmptyPathMappings
  Enclosing class:
    Connectors

      @Immutable
      protected abstract static class Connectors.AbstractPathMappings
      extends Object
      implements Connectors.PathMappings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `connectorSourceName`
    `protected static Collection<WorkspaceAndPath>` | `EMPTY`
    `protected PathFactory` | `pathFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Connectors.AbstractPathMappings(String connectorSourceName, PathFactory pathFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnectorSourceName()` Get the source name of the connector for which this mapping is defined.
    `PathFactory` | `getPathFactory()` Get a path factory that can be used to create new paths.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.Connectors.PathMappings

      `resolveExternalPathToInternal`

- - ### Field Detail

    - #### EMPTY

          protected static final Collection<WorkspaceAndPath> EMPTY

    - #### connectorSourceName

          protected final String connectorSourceName

    - #### pathFactory

          protected final PathFactory pathFactory

  - ### Constructor Detail

    - #### Connectors.AbstractPathMappings

          protected Connectors.AbstractPathMappings(String connectorSourceName,
                                         PathFactory pathFactory)

  - ### Method Detail

    - #### getPathFactory

          public PathFactory getPathFactory()

      Description copied from interface: `Connectors.PathMappings`
      Get a path factory that can be used to create new paths.
      Specified by:
        `getPathFactory` in interface `Connectors.PathMappings`
      Returns:
        the path factory; never null

    - #### getConnectorSourceName

          public String getConnectorSourceName()

      Description copied from interface: `Connectors.PathMappings`
      Get the source name of the connector for which this mapping is defined.
      Specified by:
        `getConnectorSourceName` in interface `Connectors.PathMappings`
      Returns:
        the connector source name; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.